CVE-2005-0070
CVSS7.2
发布时间 :2005-05-02 00:00:00
修订时间 :2008-09-05 16:45:13
NMCOPS    

[原文]Synaesthesia 2.1 and earlier, and possibly other versions, when installed setuid root, does not drop privileges before processing configuration and mixer files, which allows local users to read arbitrary files.


[CNNVD]Synaesthesia 本地文件泄露漏洞(CNNVD-200505-392)

        Synaesthesia 2.1以及较早的版本,可能还包括其他的版本,在安装setuid root的情况下,在处理配置和mixer文件前不会丢弃各种权限,从而允许本地用户读取任意文件。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0070
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0070
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-392
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2005/dsa-681
(VENDOR_ADVISORY)  DEBIAN  DSA-681
http://www.securityfocus.com/bid/12546
(UNKNOWN)  BID  12546
http://securitytracker.com/id?1013206
(UNKNOWN)  SECTRACK  1013206
http://secunia.com/advisories/14300
(UNKNOWN)  SECUNIA  14300

- 漏洞信息

Synaesthesia 本地文件泄露漏洞
高危 访问验证错误
2005-05-02 00:00:00 2005-10-20 00:00:00
本地  
        Synaesthesia 2.1以及较早的版本,可能还包括其他的版本,在安装setuid root的情况下,在处理配置和mixer文件前不会丢弃各种权限,从而允许本地用户读取任意文件。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://security.debian.org/pool/updates/main/s/synaesthesia/synaesthesia_2.1-2.1woody3_alpha.deb

- 漏洞信息 (F36173)

dsa-681.txt (PacketStormID:F36173)
2005-02-24 00:00:00
 
advisory,arbitrary
linux,debian
CVE-2005-0070
[点击下载]

Debian Security Advisory 681-1 - It was discovered that synaesthesia, a program for representing sounds visually, accesses user-controlled configuration and mixer files with elevated privileges. Thus, it is possible to read arbitrary files.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 681-1                     security@debian.org
http://www.debian.org/security/                             Martin Schulze
February 14th, 2005                         http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : synaesthesia
Vulnerability  : privilege escalation
Problem-Type   : local
Debian-specific: no
CVE ID         : CAN-2005-0070

Erik Sj    

- 漏洞信息

13835
Synaesthesia Arbitrary File Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-02-14 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Synaesthesia Local File Disclosure Vulnerability
Access Validation Error 12546
No Yes
2005-02-14 12:00:00 2009-07-12 10:06:00
Erik Sjolund and Devin Carraway are credited with the discovery of this issue.

- 受影响的程序版本

Synaesthesia Synaesthesia 2.2
Synaesthesia Synaesthesia 2.1.2
Synaesthesia Synaesthesia 2.1.1
Synaesthesia Synaesthesia 2.1 .0
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0

- 漏洞讨论

A local file disclosure vulnerability affects Synaesthesia. This issue is due to a failure of the application to securely access files.

An attacker may leverage this issue to read arbitrary files on an affected computer. Information gained in this way may lead to further attacks.

- 漏洞利用

No exploit is required to leverage this issue.

- 解决方案

Debian Linux has made advisory DSA 681-1 along with fixes available dealing with this issue. Please see the reference section for more information.


Synaesthesia Synaesthesia 2.1 .0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站